Get Year Terms

Year Terms are a sub-set of Academic Years. Each Academic year has four terms:

  1. Fall (F)
  2. Winter (W)
  3. Spring (S)
  4. Summer (Su)

Each term also belongs to an Academic Year. In most cases, the Year Term information will be provided for you in the API response.

Api

Route
/yearterms/api
Method
GET
Key Required
Yes
Common Response
No

Curl Example

curl -X GET --header 'Accept: application/json' -H 'API-Key':'<redacted>' 'https://prod.assistng.org/YearTerms/api/Get'

Sample Response

[
    {
        "yearTermCode": "F2023",
        "id": 291,
        "beginDate": "2023-10-01T00:00:00",
        "endDate": "2024-01-01T00:00:00",
        "description": "Fall 2023",
        "code": "F2023"
    },
    {
        "yearTermCode": "W2024",
        "id": 292,
        "beginDate": "2024-01-01T00:00:00",
        "endDate": "2024-04-01T00:00:00",
        "description": "Winter 2024",
        "code": "W2024"
    },
    {
        "yearTermCode": "S2024",
        "id": 293,
        "beginDate": "2024-04-01T00:00:00",
        "endDate": "2024-07-01T00:00:00",
        "description": "Spring 2024",
        "code": "S2024"
    },
    {
        "yearTermCode": "Su2024",
        "id": 294,
        "beginDate": "2024-07-01T00:00:00",
        "endDate": "2024-10-01T00:00:00",
        "description": "Summer 2024",
        "code": "Su2024"
    }
]

Response Fields

id (int)
Represents the Term’s unique ID.
code (string)
A display value representation of the term
yearTermCode (string)
A display value representation of the term (same as code)
beginDate (date)
The date at which the term begins
endDate (date)
The data at which the term ends
description (string)
A textual description of the term

In other API results, the code value of the Year Term will be included for you where applicable. The front part of the code value can be used to determine what term name it is (Fall, Winter, Spring, Summer).